The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

why dose upcp try to install XFree ???

Discussion in 'General Discussion' started by remal, Aug 7, 2003.

  1. remal

    remal Member

    Joined:
    Mar 19, 2003
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    hi, why dose upcp tryes to install the Xfree rpms and loop and naver end??

    Code:
    root@home [~]# /scripts/upcp
    PHP version file is up to date
    Doing a manual update...
    Cpanel updates are coming from layer2.cpanel.net
    fileutils passes checksum
    findutils passes checksum
    net-tools passes checksum
    Checking /dev/sda....OK
    x - creating lock directory
    x - SKIPPING /usr/local/lib/php.ini (file already exists)
    Using Mysql3
    MySQL is up to date (Thu Jan  1 03:00:00 1970)
    MySQL-shared is up to date (Thu Jan  1 03:00:00 1970)
    MySQL-devel is up to date (Thu Jan  1 03:00:00 1970)
    MySQL-client is up to date (Thu Jan  1 03:00:00 1970)
    MySQL-bench is up to date (Thu Jan  1 03:00:00 1970)
    openssl is up to date (Wed Mar 19 23:37:38 2003)
    openssl-devel is up to date (Wed Mar 19 23:38:05 2003)
    exim is up to date (Thu Jul 31 19:01:24 2003)
    proftpd is up to date (Thu Jul 31 19:01:24 2003)
    bandmin is up to date (Thu Jul 31 19:01:24 2003)
    chkservd is up to date (Thu Jul 31 19:01:24 2003)
    openssh is up to date (Fri Jul  4 08:41:17 2003)
    openssh-server is up to date (Fri Jul  4 08:41:17 2003)
    openssh-clients is up to date (Fri Jul  4 08:41:17 2003)
    portsentry is up to date (Fri Jul  4 08:41:17 2003)
    openssl095a is up to date (Wed Mar 19 23:52:15 2003)
    XFree86-libs is up to date (Wed Mar 19 23:52:15 2003)
    XFree86-devel is up to date (Wed Mar 19 23:52:15 2003)
    bind is up to date (Wed Jul 17 00:01:51 2002)
    bind-devel is up to date (Wed Jul 17 00:01:51 2002)
    rsync is up to date (Wed Jul 17 00:01:51 2002)
    installed: pine-4.44-7.73.0
    installed: gd-1.8.4-4
    installed: gd-devel-1.8.4-4
    installed: gd-progs-1.8.4-4
    installed: expect-5.32.2-67
    installed: freetype-2.0.9-2
    installed: freetype-devel-2.0.9-2
    installed: gnupg-1.0.6-5
    installed: lynx-2.8.4-18.1
    installed: ucd-snmp-4.2.5-7.73.0
    installed: ucd-snmp-devel-4.2.5-7.73.0
    installed: ucd-snmp-utils-4.2.5-7.73.0
    installed: wget-1.8.2-4.73
    installed: sharutils-4.2.1-9
    installed: bind-9.2.1-1.7x.2
    installed: bind-utils-9.2.1-1.7x.2
    installed: openssl-0.9.6b-32.7
    installed: openssl-devel-0.9.6b-32.7
    unknown package openssl-misc (ok)
    installed: openssh-3.1p1-8
    installed: openssh-server-3.1p1-8
    installed: openssh-clients-3.1p1-8
    installed: XFree86-devel-4.2.0-8
    installed: XFree86-libs-4.2.0-8
    Fetching rpmup update list....Done
    LPRng is up to date
    Updating XFree86-devel
    Adding Dependency XFree86-libs (required by XFree86-devel)
    Adding InterDependency Xaw3d (required by XFree86-libs)
    Adding InterDependency emacs (required by Xaw3d)
    Adding InterDependency psgml (required by emacs)
    Adding InterDependency ghostscript (required by XFree86-libs)
    Adding InterDependency cups-drivers-hpijs (required by ghostscript)
    Adding Dependency hpijs (required by cups-drivers-hpijs)
    Adding InterDependency ghostscript-fonts (required by ghostscript)
    Adding InterDependency cups-drivers (required by ghostscript)
    Adding InterDependency cups-drivers-pnm2ppa (required by ghostscript)
    Adding InterDependency printconf (required by ghostscript)
    Adding InterDependency libungif (required by XFree86-libs)
    Adding InterDependency XFree86-xfs (required by XFree86-libs)
    Adding InterDependency chkfontpath (required by XFree86-xfs)
    Adding InterDependency ttfonts (required by chkfontpath)
    Adding InterDependency VFlib2 (required by ttfonts)
    Adding InterDependency VFlib2-devel (required by VFlib2)
    Adding InterDependency ttfonts-ja (required by chkfontpath)
    Adding InterDependency urw-fonts (required by chkfontpath)
    Adding InterDependency expect (required by XFree86-libs)
    Adding InterDependency tclx (required by XFree86-libs)
    Adding InterDependency tix (required by XFree86-libs)
    Adding InterDependency tkinter (required by tix)
    Adding InterDependency tk (required by XFree86-libs)
    Adding InterDependency XFree86-font-utils (required by XFree86-libs)
    VFlib2 is current (2.25.6-4), no action needed.
    VFlib2-devel is current (2.25.6-4), no action needed.
    XFree86-devel: current version is 4.2.0-8, will be updated to 4.2.1-13.73.3.
    XFree86-font-utils is current (4.2.1-13.73.3), no action needed.
    XFree86-libs: current version is 4.2.0-8, will be updated to 4.2.1-13.73.3.
    XFree86-xfs: current version is 4.2.0-8, will be updated to 4.2.1-13.73.3.
    Xaw3d is current (1.5-12), no action needed.
    chkfontpath is current (1.9.5-2), no action needed.
    cups-drivers is current (1.1-0.20020313.3), no action needed.
    cups-drivers-hpijs is current (1.1-0.20020313.3), no action needed.
    cups-drivers-pnm2ppa is current (1.1-0.20020313.3), no action needed.
    emacs is current (21.2-2), no action needed.
    expect is current (5.32.2-67), no action needed.
    ghostscript: current version is 6.52-9.4, will be updated to 6.52-9.5.
    ghostscript-fonts is current (5.50-3), no action needed.
    hpijs: not installed.
    libungif is current (4.1.0-10), no action needed.
    printconf is current (0.3.77-1), no action needed.
    psgml is current (1.2.3-3), no action needed.
    tclx is current (8.3-67), no action needed.
    tix is current (8.2.0b1-67), no action needed.
    tk is current (8.3.3-67), no action needed.
    tkinter is current (1.5.2-43.73), no action needed.
    ttfonts is current (1.0-9), no action needed.
    ttfonts-ja is current (1.2-8), no action needed.
    urw-fonts is current (2.0-17), no action needed.
    Retrieving [url]http://updates.cpanel.net/redhat/updates/7.3/en/os/i386/XFree86-devel-4.2.1-13.73.3.i386.rpm[/url]
    Retrieving [url]http://updates.cpanel.net/redhat/updates/7.3/en/os/i386/XFree86-libs-4.2.1-13.73.3.i386.rpm[/url]
    Retrieving [url]http://updates.cpanel.net/redhat/updates/7.3/en/os/i386/XFree86-xfs-4.2.1-13.73.3.i386.rpm[/url]
    Retrieving [url]http://updates.cpanel.net/redhat/updates/7.3/en/os/i386/ghostscript-6.52-9.5.i386.rpm[/url]
    Retrieving [url]http://updates.cpanel.net/linux/distros/redhat/7.3/en/os/i386/RedHat/RPMS/hpijs-1.0.2-8.i386.rpm[/url]
    Preparing...                ########################################### [100%]
    file /usr/bin/hpijs conflicts between attempted installs of hpijs-1.0.2-8 and ghostscript-6.52-9.5
    Rebuilding local rpm provides list.....XFree86-devel....XFree86-libs....XFree86-xfs....ghostscript....hpijs..Done
    XFree86-font-utils is up to date
    Updating XFree86-libs
    Adding InterDependency Xaw3d (required by XFree86-libs)
    Adding InterDependency emacs (required by Xaw3d)
    Adding InterDependency psgml (required by emacs)
    Adding InterDependency ghostscript (required by XFree86-libs)
    Adding InterDependency cups-drivers-hpijs (required by ghostscript)
    Adding Dependency hpijs (required by cups-drivers-hpijs)
    Adding InterDependency ghostscript-fonts (required by ghostscript)
    Adding InterDependency cups-drivers (required by ghostscript)
    Adding InterDependency cups-drivers-pnm2ppa (required by ghostscript)
    Adding InterDependency printconf (required by ghostscript)
    Adding InterDependency XFree86-devel (required by XFree86-libs)
    Adding InterDependency libungif (required by XFree86-libs)
    Adding InterDependency XFree86-xfs (required by XFree86-libs)
    Adding InterDependency chkfontpath (required by XFree86-xfs)
    Adding InterDependency ttfonts (required by chkfontpath)
    Adding InterDependency VFlib2 (required by ttfonts)
    Adding InterDependency VFlib2-devel (required by VFlib2)
    Adding InterDependency ttfonts-ja (required by chkfontpath)
    Adding InterDependency urw-fonts (required by chkfontpath)
    Adding InterDependency expect (required by XFree86-libs)
    Adding InterDependency tclx (required by XFree86-libs)
    Adding InterDependency tix (required by XFree86-libs)
    Adding InterDependency tkinter (required by tix)
    Adding InterDependency tk (required by XFree86-libs)
    Adding InterDependency XFree86-font-utils (required by XFree86-libs)
    VFlib2 is current (2.25.6-4), no action needed.
    VFlib2-devel is current (2.25.6-4), no action needed.
    XFree86-devel: current version is 4.2.0-8, will be updated to 4.2.1-13.73.3.
    XFree86-font-utils is current (4.2.1-13.73.3), no action needed.
    XFree86-libs: current version is 4.2.0-8, will be updated to 4.2.1-13.73.3.
    XFree86-xfs: current version is 4.2.0-8, will be updated to 4.2.1-13.73.3.
    Xaw3d is current (1.5-12), no action needed.
    chkfontpath is current (1.9.5-2), no action needed.
    cups-drivers is current (1.1-0.20020313.3), no action needed.
    cups-drivers-hpijs is current (1.1-0.20020313.3), no action needed.
    cups-drivers-pnm2ppa is current (1.1-0.20020313.3), no action needed.
    emacs is current (21.2-2), no action needed.
    expect is current (5.32.2-67), no action needed.
    ghostscript: current version is 6.52-9.4, will be updated to 6.52-9.5.
    ghostscript-fonts is current (5.50-3), no action needed.
    hpijs: not installed.
    libungif is current (4.1.0-10), no action needed.
    printconf is current (0.3.77-1), no action needed.
    psgml is current (1.2.3-3), no action needed.
    tclx is current (8.3-67), no action needed.
    tix is current (8.2.0b1-67), no action needed.
    tk is current (8.3.3-67), no action needed.
    tkinter is current (1.5.2-43.73), no action needed.
    ttfonts is current (1.0-9), no action needed.
    ttfonts-ja is current (1.2-8), no action needed.
    urw-fonts is current (2.0-17), no action needed.
    Retrieving [url]http://updates.cpanel.net/redhat/updates/7.3/en/os/i386/XFree86-devel-4.2.1-13.73.3.i386.rpm[/url]
    CTRL+C
    
    cPanel.net Support Ticket Number:
     
  2. TioChaharbaghi

    Joined:
    Apr 17, 2003
    Messages:
    14
    Likes Received:
    0
    Trophy Points:
    1
    Mine does the same thing

    anybody?

    cPanel.net Support Ticket Number:
     
  3. TioChaharbaghi

    Joined:
    Apr 17, 2003
    Messages:
    14
    Likes Received:
    0
    Trophy Points:
    1
    nobody has an answer? Im dying for someone to help!

    cPanel.net Support Ticket Number:
     
  4. remal

    remal Member

    Joined:
    Mar 19, 2003
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    hello

    open a support ticket and they will fix it for you

    cPanel.net Support Ticket Number:
     
  5. trakwebster

    trakwebster Well-Known Member

    Joined:
    Jan 29, 2003
    Messages:
    145
    Likes Received:
    0
    Trophy Points:
    16
  6. cPanelNick

    cPanelNick Administrator
    Staff Member

    Joined:
    Mar 9, 2015
    Messages:
    3,426
    Likes Received:
    2
    Trophy Points:
    38
    cPanel Access Level:
    DataCenter Provider
    Try

    /scripts/updatenow
    /scripts/rpmup

    cPanel.net Support Ticket Number:
     
  7. dysk

    dysk Well-Known Member

    Joined:
    Apr 22, 2003
    Messages:
    52
    Likes Received:
    0
    Trophy Points:
    6
    Hi-
    I personally think that upcp puts its nose into a lot of things that it shouldn't be. As far as I'm concerned, people should be smart enough to install their own rpms, and upcp should be there just to upgrade cPanel.
    That being said, upcp doesn't actually install X, it just installs the libraries and header files, so that programs can be compiled that use the X libraries or depend on X. I can't seem to remember any, but there are a few non X programs that use the X libraries.


    Regards,

    Erek Dyskant
    Unix Consultant

    cPanel.net Support Ticket Number:
     
  8. nyjimbo

    nyjimbo Well-Known Member

    Joined:
    Jan 25, 2003
    Messages:
    1,125
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    New York
    I think X11 is not fully installed. Upon viewing some of my logs on the same subject I see that ucs2any is not in the system BUT it is on other boxes I have that I did a manual install.

    Tonight I will do a manual install of packages (freebsd) via the /stand sysinstall and tell it to do all the X11/Xfree stuff.

    I do wish we could tell what packages the upcp/sysup wants to do so we could tell what is done and what is left to do.

    cPanel.net Support Ticket Number:
     
Loading...

Share This Page